Subject: bug#1926 closed by Glenn Morris <[email-masked]> (Re: bug#1926: csv-align-fields has trouble with utf-8 Chinese)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 15 Jan 2009 23:50:06 +0000

This is an automatic notification regarding your bug report
which was filed against the notemacs package:

#1926: csv-align-fields has trouble with utf-8 Chinese

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
1926: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1926
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1926: csv-align-fields has trouble with utf-8 Chinese
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 15 Jan 2009 18:46:08 -0500

Before reporting a bug, please check:

Am I reporting this to the right place?
Did someone else report it already?
Did I report it already?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495989

Subject: csv-align-fields has trouble with utf-8 Chinese
From: [email-masked]
To: [email-masked]
Date: Fri, 16 Jan 2009 07:34:03 +0800

csv-align-fields has trouble with utf-8 Chinese.
I bet it thinks each should take three, or one widths, instead of two.
Sample data:
91.1,,,,大溪,,,,,關懷,,,府城之聲,,,,,,,,,
91.3,,勞工教育,,,,中港溪,,,,,嘉義之音,,,大武山,,,太魯閣之音,臺東知本,澎湖風聲,,
91.5,,,,美聲,,,中臺灣,,,,,自由之聲,,,,太平洋,,,,,教育
emacs-version "22.2.1"